Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002982Piwigoweb APIpublic2013.10.21 20:442013.10.31 18:27
Reportermistic100 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0beta1 
Target Version2.6.0beta2Fixed in Version2.6.0beta2 
Summary0002982: API: add high-level type check
DescriptionIn current implementation each WS method has to check the parameters.

We could add a "type" option in the method signature to delegate type check to PwgServer::invoke.

I plan these constants :
WS_TYPE_BOOL
WS_TYPE_INT
WS_TYPE_FLOAT
WS_TYPE_POSITIVE
WS_TYPE_NOTNULL
WS_TYPE_ID (equals WS_TYPE_INT | WS_TYPE_POSITIVE | WS_TYPE_NOTNULL)
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007162)
svn (reporter)
2013.10.22 14:59

[Subversion] r25077 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2982 API: add high-level type check
introduces some constants fro bool, int, float, positive and notnull parameters
types are tested in PwgServer::invoke and no in each method
+ some optimizations + update methods descriptions
(0007213)
svn (reporter)
2013.10.31 18:27

[Subversion] r25264 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug 2982: pwg.categories.add parent parameter can be 0

- Issue History
Date Modified Username Field Change
2013.10.21 20:44 mistic100 New Issue
2013.10.21 20:44 mistic100 Status new => assigned
2013.10.21 20:44 mistic100 Assigned To => mistic100
2013.10.21 20:44 mistic100 browser => any
2013.10.21 20:44 mistic100 Web server => Apache 1.3.x
2013.10.22 14:59 svn Checkin
2013.10.22 14:59 svn Note Added: 0007162
2013.10.24 20:45 mistic100 Status assigned => closed
2013.10.24 20:45 mistic100 Resolution open => fixed
2013.10.24 20:45 mistic100 Fixed in Version => 2.6.0beta2
2013.10.31 18:27 svn Checkin
2013.10.31 18:27 svn Note Added: 0007213


Copyright © 2000 - 2017 MantisBT Team
Contact
Powered by Mantis Bugtracker